MongoException
MongoResultException::getDocument
Exceptions
PHP Manual

# The MongoResultException class

(PECL mongo >=1.3.0)

## Introduction

The MongoResultException is thrown by several command helpers (such as MongoCollection::findAndModify()) in the event of failure. The original result document is available through MongoResultException::getDocument().

## Class synopsis

MongoResultException extends MongoException {
/* Properties */
public $document ;
/* Inherited properties */
protected string $message ;
protected int $code ;
protected string $file ;
protected int $line ;
/* Methods */
public array getDocument ( void )
}

## Properties

document

  The raw result document as an array.

## Table of Contents

- MongoResultException::getDocument — Retrieve the full result document

MongoException
MongoResultException::getDocument
Exceptions
PHP Manual